%kmdl bttv

Summary: A V4L2 driver for Bt8x8 based video capture cards.
Name: bttv
Version: 0.9.15
Release: 36.1.2%{?dist}
URL: http://bytesex.org/bttv/
Source0: http://dl.bytesex.org/releases/video4linux/%{name}-%{version}.tar.gz
Source1: patchtvcard
Source2: fixtvcard.TXT
Source3: bttv.init
License: GPL
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl
%kmdl_parentdependencies

%description
Major rewrite of the bttv core code. Requires: kernel with v4l2-api
patch applied. Recent modutils (>= 2.4.14).

Be prepared that software which depends on undocumented bttv features
breaks. The sloppy=1 insmod option makes bttv's parameter checks less
strict and might workaround some compatibility problems.

%package -n %kmdl_name
%kmdl_dependencies
Summary: A V4L2 driver for Bt8x8 based video capture cards.
Group: System Environment/Kernel

%description -n %kmdl_name
%kmdl_desc

%prep
%setup -q -n bttv-%{version}
perl -pi -e's/^install/old_install/' Makefile
cat >> Makefile <<"EOF"
DEST		:= %{buildroot}%{kmdl_moduledir}/drivers/video/media
install::
	strip --strip-debug $(inst-m)
	mkdir -p $(DEST)
	cp -v $(inst-m) $(DEST)
EOF

cp -a %{SOURCE2} .

%build
%if %{kmdl_userland}
%else
%kmdl_config

make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd` modules

%endif

%install
rm -rf %{buildroot}

%if %{kmdl_userland}

mkdir -p %{buildroot}%{_libdir}/bttv
install -p -m755 %{SOURCE1} %{buildroot}%{_libdir}/bttv
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
install -p -m755 %{SOURCE3} %{buildroot}%{_sysconfdir}/rc.d/init.d/bttv

%else

%makeinstall

%endif

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add bttv

%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig --del bttv
fi

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc doc/* fixtvcard.TXT
%{_libdir}/bttv/patchtvcard
%{_sysconfdir}/rc.d/init.d/bttv

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}/drivers/video/media/*

%endif

%changelog
* Fri May 14 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.9.15.

* Sat Dec 20 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.9.12.
- Remove i2c >= 2.8.0 patch, it is handled upstream now.

* Sun Aug 10 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.9.11.

* Wed Jun 11 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.9.10.
- Add Ali's patch for ALi M1647/M1651.

* Wed Mar 19 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.9.7.

* Tue Mar 11 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Used new kernel module build packaging environment.

* Wed Mar  5 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.9.6.

* Sat Nov 16 2002 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
